package com.ms.biz.service.impl;

import com.ms.dal.entity.DoudianTradeMsgQueue;
import com.ms.biz.service.DoudianTradeMsgQueueService;
import com.ms.dal.mapper.DoudianTradeMsgQueueMapper;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;


/**
 *
 */
@Service
public class DoudianTradeMsgQueueServiceImpl implements DoudianTradeMsgQueueService{

    @Autowired
    private DoudianTradeMsgQueueMapper doudianTradeMsgQueueMapper;

    @Override
    public int deleteByPrimaryKey(Long id) {
        return doudianTradeMsgQueueMapper.deleteByPrimaryKey(id);
    }

    @Override
    public int insert(DoudianTradeMsgQueue record) {
        return doudianTradeMsgQueueMapper.insert(record);
    }

    @Override
    public int insertSelective(DoudianTradeMsgQueue record) {
        return doudianTradeMsgQueueMapper.insertSelective(record);
    }

    @Override
    public DoudianTradeMsgQueue selectByPrimaryKey(Long id) {
        return doudianTradeMsgQueueMapper.selectByPrimaryKey(id);
    }

    @Override
    public int updateByPrimaryKeySelective(DoudianTradeMsgQueue record) {
        return doudianTradeMsgQueueMapper.updateByPrimaryKeySelective(record);
    }

    @Override
    public int updateByPrimaryKey(DoudianTradeMsgQueue record) {
        return doudianTradeMsgQueueMapper.updateByPrimaryKey(record);
    }

}




